import { _objectSpread2 } from "../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectSpread2.js";
import { _objectWithoutProperties } from "../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectWithoutProperties.js";
import QuickFilter from "../filter/components/QuickFilter/index.js";
import React, { forwardRef, useMemo } from "react";
import { Form } from "antd";
//#region src/components/pisellQuickFilter/index.tsx
const _excluded = [
	"filterList",
	"formFiltersPrefix",
	"hasForm"
];
const pisellQuickFilter = forwardRef((props) => {
	const { filterList, formFiltersPrefix, hasForm = true } = props, otherProps = _objectWithoutProperties(props, _excluded);
	const content = useMemo(() => {
		return /* @__PURE__ */ React.createElement(QuickFilter, {
			value: { quickFilter: filterList },
			formFiltersPrefix: formFiltersPrefix || ""
		});
	}, [filterList, formFiltersPrefix]);
	if (hasForm) return /* @__PURE__ */ React.createElement(Form, _objectSpread2({
		labelCol: { span: 0 },
		size: "large",
		layout: "inline",
		className: "filter-form-wrapper"
	}, otherProps), content);
	return content;
});
//#endregion
export { pisellQuickFilter as default };
